
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Apoyos - Pinos, Zacatecas</h6>
        <div class="dropdown no-arrow">
            <a href="{% url 'apoyos:apoyos_new' %}" class="btn btn-primary btn-icon-split btn-sm mr-2">
                <span class="icon text-white-50">
                    <i class="fa fa-user-plus"></i>
                </span>
                <span class="text font-weight-bold">Nuevo registro</span>
            </a>

            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'apoyos:apoyos_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">
       
        <!-- listado con datatables -->
        {% if not obj %}
            <div class="alert alert-info">No Hay Apoyos</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info" style="font-size: small;">
                <th>CURP</th>
                <th>NOMBRES</th>                
                <th>AP PATERNO</th>
                <th>LOCALIDAD</th>   
                <th>SECCIÓN</th>
                <th>DEPARTAMENTO</th>
                <th>DESCRIPCION</th>
                <th>FECHA DE ENTREGA</th>         
                <th>ACCIONES</th> 
            </thead>

            <tbody style="font-size: small;">
                
                {% for item in obj %}
                    <tr>
                        {% if item.persona.curp %}
                            <td>{{ item.persona.curp }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}
                        
                        {% if item.persona.nombres %}
                            <td>{{ item.persona.nombres }}</td>
                        {% else %}
                            <td></td>                        
                        {% endif %}
                        
                        {% if item.persona.ap_paterno %}
                            <td>{{ item.persona.ap_paterno }}</td>
                        {% else %}
                            <td></td> 
                        {% endif %}  
                        
                        <td>{{ item.persona.localidad }}</td>

                        {% if item.persona.localidad.seccion %}
                            <td>{{ item.persona.localidad.seccion }}</td>
                        {% else %}
                            <td></td> 
                        {% endif %}
                        
                        {% if item.departamento %}
                            <td>{{ item.departamento.nombre }}</td>
                        {% else %}
                            <td></td>                          
                        {% endif %}
                            
                        
                        <!-- {% if item.tipo %}
                            <td>{{ item.tipo }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->

                        {% if item.descripcion %}
                            <td>{{ item.descripcion }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}

                        {% if item.fecha_de_entrega %}
                            <td>{{ item.fecha_de_entrega }}</td>
                        {% else %}
                            <td></td>
                        {% endif %}                        
                                                                                                                                                                                                                                                                                                            
                        <td>
                            <a href="{% url 'apoyos:apoyos_edit' item.id %}" class="btn btn-warning btn-circle"> <i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:apoyos_delete' item.id %}" class="btn btn-danger btn-circle"> <i class="fas fa-trash-alt"></i></a>
                            {% if item.foto_de_comprobacion %}
                                <a href="{{ item.foto_de_comprobacion.url }}" class="btn btn-success btn-icon-split btn-sm">
                                    <span class="icon text-white-50">
                                        <i class="fa fa-images"></i>
                                    </span>
                                    <span class="text font-weight-bold">Ver imágen</span>
                                </a>
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
                    
            </tbody>
        </table>
        {% endif %}
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                // "pageLength": 8,
                dom: 'lBfrtip',
                buttons : [
                    {
                        // COPY
                        extend: 'copy',
                        text: '<i class="fas fa-clone"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Copy',
                        // elige las columnas que deseas copiar
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },                        
                    },

                    {
                        // EXCEL
                        extend: 'excel',
                        text: '<i class="fas fa-file-excel"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Excel',
                        // elige las columnas que deseas exportar a excel
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },
                    },
                    
                    {
                        // EXCEL
                        extend: 'print',
                        text: '<i class="fas fa-print"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'Print',
                        // elige las columnas que deseas imprimir
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },

                        // font size(Cuando exportamos paea imprimir)
                        customize: function(win){
                            $(win.document.body).css('font-size', '10pt'),
                            $(win.document.body).find('table').addClass('compact').css('font-size', 'inherit');
                        }
                    },

                    {
                        // PDF
                        extend: 'pdf',
                        text: '<i class="fas fa-file-pdf"></i>',
                        className: 'btn btn-secondary',
                        titleAttr: 'PDF',
                        // elige las columnas que deseas exportar a pdf
                        exportOptions: {
                            columns: [0, 1, 2, 3, 4, 5, 6, 7]
                        },  
                        // centrando la tabla
                        tableHeader: {
                            alignment: 'center'
                        },            
                    },

                ],
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    },                    
                }
            });
        });
         
    </script>
{% endblock js_page %}




